首页 > Web开发 > 详细

原生Js在各大浏览器上、火狐、ie、谷歌、360等出现的不兼容问题。

时间:2017-01-12 18:33:16      阅读:18      评论:0      收藏:0      [点我收藏+]

标签:div   版本   tel   type   string   inner   ext   tro   spa   

document.getElementsByName("name")  在Ie低版本,360普通版本,以及火狐低版本不支持。

element.innerText 在低版本的火狐中不支持,处理方法如下。

var tDiv = document.createElement("span");

function setInnerText(element, text) {
if (typeof element.textContent == "string") {

element.textContent = text; //低版本支持
} else {
element.innerText = text;
}
}
setInnerText(tDiv, "询盘留言");

 

今天就遇到这两个问题,测试了半天,苦逼的后端还要写js

原生Js在各大浏览器上、火狐、ie、谷歌、360等出现的不兼容问题。

标签:div   版本   tel   type   string   inner   ext   tro   spa   

原文:http://www.cnblogs.com/searchbaidu/p/6279233.html

(0)
(0)
   
举报
评论 一句话评论(0
0条  
登录后才能评论!
文章周排行
© 2014 bubuko.com 版权所有 鲁ICP备09046678号-4
打开技术之扣,分享程序人生!
             

鲁公网安备 37021202000002号